> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retweets

> Retuitear y deshacer retweets, y obtener información sobre retweets

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Los endpoints de Retweets te permiten hacer Retweet y deshacer Retweets, ver quién hizo Retweet de una Publicación y obtener las republicaciones de tus propias Publicaciones.

<div id="overview">
  ## Descripción general
</div>

<CardGroup cols={2}>
  <Card title="Retweet" icon="retweet">
    Hacer un Retweet de una Publicación en nombre de un usuario
  </Card>

  <Card title="Undo retweet" icon="xmark">
    Deshacer un Retweet
  </Card>

  <Card title="Retweeting users" icon="users">
    Ver quién hizo Retweet de una Publicación
  </Card>

  <Card title="Reposts of me" icon="repeat">
    Obtener los Reposts de tus propias Publicaciones
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## Puntos de conexión
</div>

<div id="retweets-lookup">
  ### Consulta de retweets
</div>

| Método | Endpoint                                                         | Descripción                                                      |
| :----- | :--------------------------------------------------------------- | :--------------------------------------------------------------- |
| GET    | [`/2/tweets/:id/retweeted_by`](/es/x-api/posts/get-reposted-by)  | Obtener los usuarios que hicieron retweet de una Publicación     |
| GET    | [`/2/tweets/:id/quote_tweets`](/es/x-api/posts/get-quoted-posts) | Obtener las Publicaciones que citan una Publicación              |
| GET    | [`/2/users/reposts_of_me`](/es/x-api/users/get-reposts-of-me)    | Obtener los reposts de las Publicaciones del usuario autenticado |

<div id="manage-retweets">
  ### Administrar retweets
</div>

| Método | Endpoint                                                           | Descripción               |
| :----- | :----------------------------------------------------------------- | :------------------------ |
| POST   | [`/2/users/:id/retweets`](/es/x-api/users/repost-post)             | Retuitear una publicación |
| DELETE | [`/2/users/:id/retweets/:tweet_id`](/es/x-api/users/unrepost-post) | Deshacer un retweet       |

***

<div id="example-get-retweeting-users">
  ## Ejemplo: Obtener usuarios que hicieron Retweet
</div>

```bash theme={null}
curl "https://api.x.com/2/tweets/1234567890/retweeted_by?\
user.fields=username,verified" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-retweet-a-post">
  ## Ejemplo: Retuitear una publicación
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/retweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"tweet_id": "1234567890"}'
```

***

<div id="getting-started">
  ## Primeros pasos
</div>

<Note>
  **Requisitos previos**

  * Una [cuenta de desarrollador](https://developer.x.com/en/portal/petition/essential/basic-info) aprobada
  * Un Project y una App en la [Consola de desarrollador](/es/resources/fundamentals/developer-apps)
  * Las [claves y los tokens](/es/resources/fundamentals/authentication) de tu App
</Note>

<CardGroup cols={2}>
  <Card title="Inicio rápido de consulta" icon="retweet" href="/es/x-api/posts/retweets/quickstart/retweets-lookup">
    Obtén los retweets de una Publicación
  </Card>

  <Card title="Inicio rápido de gestión" icon="plus" href="/es/x-api/posts/retweets/quickstart/manage-retweets">
    Haz retweet y deshaz retweets
  </Card>

  <Card title="Reposts de mis Publicaciones" icon="repeat" href="/es/x-api/posts/retweets/quickstart/retweets-of-me">
    Obtén reposts de tus Publicaciones
  </Card>

  <Card title="Referencia de la API" icon="code" href="/es/x-api/posts/retweeted-by">
    Documentación completa del endpoint
  </Card>
</CardGroup>
